CVE-2016-2178

NameCVE-2016-2178
DescriptionThe dsa_sign_setup function in crypto/dsa/dsa_ossl.c in OpenSSL throug ...
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-637-1, DSA-3673-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openssl (PTS)stretch1.1.0l-1~deb9u1fixed
stretch (security)1.1.0l-1~deb9u4fixed
buster, buster (security)1.1.1d-0+deb10u7fixed
bullseye (security), bullseye1.1.1k-1+deb11u1fixed
bookworm, sid1.1.1l-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
opensslsourcewheezy1.0.1t-1+deb7u1DLA-637-1
opensslsourcejessie1.0.1t-1+deb8u4DSA-3673-1
opensslsource(unstable)1.0.2i-1low

Notes

Fixed in master branch in https://git.openssl.org/?p=openssl.git;a=commit;h=399944622df7bd81af62e67ea967c470534090e2
https://www.openssl.org/news/secadv/20160922.txt
Fixed in 1.0.2i, 1.0.1u

Search for package or bug name: Reporting problems